Part Würfel

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Part Box and the translation is 58% complete.
Outdated translations are marked like this.
Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎română • ‎svenska • ‎čeština • ‎русский • ‎中文(中国大陆)‎ • ‎한국어
FreeCAD.png
Nächste: Zylinder Part Cylinder.svg Arrow-right.svg

Part Box.svg Part Würfel

Menüeintrag
Formteil → Grundkörper → Würfel
Arbeitsbereich
Part
Standardtastenkürzel
Keiner
Eingeführt in Version
-
Siehe auch
Part Grundelemente

Beschreibung

Der Befehl Part Box.svg Würfel erstellt einen quaderförmigen Volumenkörper (Siehe Quader). Im Koordinatensystem durch seine Daten-EigenschaftPlacement festgelegt, liegt die Unterseite des Würfels/Quaders auf der XY-Ebene mit seiner vorderen linken Ecke im Ursprung und seiner Vorderkante parallel zur X-Achse.

Part Box Example.png

Anwendung

Verwendung

Die Parameter-Werte können nach der Erzeugung in der Reiter-Karte Daten geändert werden.

Beispiel

Part Box from the scripting example

A Part Box object created with the scripting example below is shown here.

Hinweise

  • A Part Box can also be created with the Part Primitives.svg Part Primitives command. With that command you can specify the dimensions and placement at creation time.

Eigenschaften

Siehe auch: Eigenschafteneditor.

Ein Part Würfel-Objekt wird von einem Part Formelement abgeleitet und erbt alle seine Eigenschaften. Außerdem hat es die folgenden zusätzlichen Eigenschaften:

Daten

Attachment

The object has the same attachment properties as a Part Part2DObject.

Box

Box

  • DatenLength: Die Länge des Würfel-Objekts in X-Richtung.
  • DatenWidth: Die Breite des Würfel-Objekts in Y-Richtung.
  • DatenHeight: Die Höhe des Würfel-Objekts in Z-Richtung.

Skripten

See also: Autogenerated API documentation, Part scripting and FreeCAD Scripting Basics.

Scripting

Der Würfel-Befehl kann mit Makros und von der Python-Konsole aus mithilfe der folgenden Funktion verwendet werden:

box = FreeCAD.ActiveDocument.addObject("Part::Box", "myBox")
  • Wobei "myBox" die Bezeichnung für das Würfel-Objekt ist.
  • Liefert das neu erstellte Objekt vom Typ 'Box' zurück.

Beispiel:

import FreeCAD as App

doc = App.activeDocument()

box = doc.addObject("Part::Box", "myBox")
box.Length = 4
box.Width = 8
box.Height = 12
box.Placement = App.Placement(App.Vector(1, 2, 3), App.Rotation(75, 60, 30))

doc.recompute()


FreeCAD.png
Nächste: Zylinder Part Cylinder.svg Arrow-right.svg